Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236497 - Ocaml links libraries staticly
Summary: Ocaml links libraries staticly
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-15 12:26 UTC by Nigel Jones
Modified: 2008-02-21 14:05 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-21 14:05:49 UTC


Attachments (Terms of Use)

Description Nigel Jones 2007-04-15 12:26:45 UTC
Hi,

In the packaging of ocamlSDL, camlimages and freetennis (#235804, #235805 &
#235815), I discovered issues with how Ocaml links libraries, and Fedora policies. 

I've refered this to the fedora-packaging mailing list:

https://www.redhat.com/archives/fedora-packaging/2007-April/msg00100.html
https://www.redhat.com/archives/fedora-packaging/2007-April/msg00164.html

I just thought I'd place a bug here about it (if you agree, it might be an idea
to make my package reviews dependant on this bug).

Policy info regarding static libraries:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7

Comment 1 Gérard Milmeister 2007-04-17 21:16:58 UTC
What libraries are affected exactly? Unison, for example, is dynamically linked
against the gtk libraries.

Comment 2 Nigel Jones 2007-04-17 23:02:54 UTC
Even Unison doesn't link properly to lablgtk, same with freetennis (Bug
#235815), it depends on what labl depends on true, but a true dynamic linked
application SHOULD depend upon the libraries it was built with (seems to be
fairly typical of most ocaml based packages in Fedora that I can find.

For reference: 'ldd /usr/bin/unison | grep labl' returns nothing

Comment 3 Gérard Milmeister 2007-04-17 23:49:12 UTC
So you mean *ocaml* libraries. AFAIK, those can't be shared. It is the problem
of ocaml, no ours, I would say.

Comment 4 Richard W.M. Jones 2007-07-25 14:35:13 UTC
I think this bug should be closed, since the issue has had extensive
discussion and is covered in the packaging guidelines for OCaml:

https://fedoraproject.org/wiki/Packaging/OCaml

Anyone therefore mind if I close it?


Note You need to log in before you can comment on or make changes to this bug.